Skip to main content
`Ctrl`+`K`

# KSPGetDiagonalScaleFix

Determines if `KSP` diagonally scales the system back after solving. That is `KSPSetDiagonalScaleFix()` has been called

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetDiagonalScaleFix(KSP ksp, PetscBool *fix)

Not Collective

## Input Parameter

- ksp - the `KSP` context

## Output Parameter

- fix - `PETSC_TRUE` to scale back after the system solve, `PETSC_FALSE` to not rescale (default)

## See Also

KSP: Linear System Solvers, `KSPGetDiagonalScale()`, `KSPSetDiagonalScale()`, `KSPSetDiagonalScaleFix()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages